=head1 NAME

Gtk2::Gdk::Event::WindowState

=cut

=for position post_hierarchy

=head1 HIERARCHY

  Gtk2::Gdk::Event
  +----Gtk2::Gdk::Event::WindowState

=cut




=head1 METHODS

=head2 windowstate = $eventwindowstate-E<gt>B<new_window_state> ($newvalue=0)

=over

=item * $newvalue (Gtk2::Gdk::WindowState) 

=back

=head2 windowstate = $eventwindowstate-E<gt>B<changed_mask> ($newvalue=0)

=over

=item * $newvalue (Gtk2::Gdk::WindowState) 

=back



=cut


=head1 ENUMS AND FLAGS

=head2 flags Gtk2::Gdk::WindowState

=over

=item * 'withdrawn' / 'GDK_WINDOW_STATE_WITHDRAWN'

=item * 'iconified' / 'GDK_WINDOW_STATE_ICONIFIED'

=item * 'maximized' / 'GDK_WINDOW_STATE_MAXIMIZED'

=item * 'sticky' / 'GDK_WINDOW_STATE_STICKY'

=item * 'fullscreen' / 'GDK_WINDOW_STATE_FULLSCREEN'

=item * 'above' / 'GDK_WINDOW_STATE_ABOVE'

=item * 'below' / 'GDK_WINDOW_STATE_BELOW'

=back




=cut


=head1 SEE ALSO

L<Gtk2>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

